/*
 *
 * Copyright (c) 2003-2004 Erez Zadok
 * Copyright (c) 2003-2004 Swapnil V. Patil
 * Copyright (c) 2003-2004 Anand Kashyap
 * Copyright (c) 2003-2004 Gopalan Sivathanu
 * Copyright (c) 2003-2004 Stony Brook University
 * Copyright (c) 2003-2004 The Research Foundation of State University of New York
 *
 * For specific licensing information, see the COPYING file distributed with
 * this package.
 *
 * This Copyright notice must be kept intact and distributed with all sources.
 */

/*
 * i3fs.c
 * Do not edit by hand.
 * Automatically generated by fistgen.
 */

#ifdef HAVE_CONFIG_H
# include <config.h>
#endif /* HAVE_CONFIG_H */
#ifdef FISTGEN
# include "fist_i3fs.h"
#endif /* FISTGEN */
#include "fist.h"
#include "i3fs.h"

/* OPTIONAL CODE FOLLOWS */



int
i3fs_encode_block(const char *from, char *to, int len, const vnode_t *vp, const vfs_t *vfsp, u_long pagenum)
{
    memcpy(to, from, len);
    return len;
}


int
i3fs_decode_block(const char *from, char *to, int len, const vnode_t *vp, const vfs_t *vfsp, u_long pagenum)
{
    memcpy(to, from, len);
    return len;
}


int
i3fs_encode_filename(const char *name, int length, char **encoded_name, int skip_dots, const vnode_t *vp, const vfs_t *vfsp)
{
    int encoded_length;

    encoded_length = length + 1;
    *encoded_name = kmalloc(encoded_length, GFP_KERNEL);
    memcpy(*encoded_name, name, length);
    (*encoded_name)[length] = '\0';

    return encoded_length;
}


/* returns length of decoded string, or -1 if error */
int
i3fs_decode_filename(const char *name, int length, char **decoded_name, int skip_dots, const vnode_t *vp, const vfs_t *vfsp)
{
    int error = 0;

    *decoded_name = kmalloc(length, GFP_KERNEL);
    memcpy(*decoded_name, name, length);
    error = length;

    return error;
}


/*
 * Local variables:
 * c-basic-offset: 4
 * End:
 */
